#pragma once
#include "Define.h"
#include <QtCore/QLibrary>
#include <string>
#include <QString>
#include <QVariant>

class Receiver
{
public:
    virtual void OnData(const QString& user, const QString& key, const QVariant& val) = 0;
};


class BaseModule
{
public:
    BaseModule(){}
    virtual ~BaseModule(){};
    virtual void setLoader(QLibrary*) = 0;
    virtual std::string getTypeList() = 0;
};
